import axios from 'axios'
import config from "~/config";

// http get工具函数 获取数据
export function get(url, params) {
    return request(url, 'GET', '',params)
}

export function post(url, data) {
    return request(url, 'POST', data,'')
}

async function request(url, method, data, params, header = {}) {
    return new Promise((resolve, reject) => {
        axios({
            data,
            params,
            method,
            header,
            url: config.host + url,
            success: function (res) {
                // 0:正常请求
                // -1:错误请求
                if (res.data.code === 0) {
                    resolve(res.data.data)
                } else if (res.data.code === -2) {
                    reject(res.data)
                } else {
                    reject(res.data)
                }
            },
            fail(res) {
                console.log(res)
            }
        })
    })
}
