package com.hzu.bookingsystem.service.impl;

import com.hzu.bookingsystem.bean.User;
import com.hzu.bookingsystem.repository.UserRepository;
import com.hzu.bookingsystem.service.UserService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import javax.transaction.Transactional;
import java.util.List;

@Service
public class UserServiceImpl implements UserService {
    @Resource
    private UserRepository userRepository;

    @Override
    public User create(User user) {
        user.setUId(null);
        return userRepository.save(user);
    }

    @Override
    public List<User> findAll() {
        return userRepository.findAll();
    }

    @Override
    public User findById(Integer uId) {
        return userRepository.findByUId(uId);
    }

    @Override
    public User save(User user) {
        return userRepository.save(user);
    }

    @Override
    @Transactional
    public void deleteById(Integer uId) {
        userRepository.deleteByUId(uId);
    }
}
